> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a repository invitation

> Rejects a repository collaboration invitation without granting access.

**Behavior:**
The invitation is marked as redeemed with REJECTED status.

**Validation:**
- Invitation is addressed to the user's email
- Invitation hasn't been redeemed
- Invitation hasn't expired

**Returns:**
- `409 Conflict` if already processed
- `204 No Content` on success




## OpenAPI

````yaml post /repos/{repo_id}/invites/{invite_id}/reject
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/invites/{invite_id}/reject:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/InviteIdParam'
    post:
      tags:
        - Collaborators
      summary: Reject a repository invitation
      description: |
        Rejects a repository collaboration invitation without granting access.

        **Behavior:**
        The invitation is marked as redeemed with REJECTED status.

        **Validation:**
        - Invitation is addressed to the user's email
        - Invitation hasn't been redeemed
        - Invitation hasn't expired

        **Returns:**
        - `409 Conflict` if already processed
        - `204 No Content` on success
      operationId: src.handlersv2.invites.reject_invite
      responses:
        '204':
          $ref: '#/components/responses/OKEmpty'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: Invite is not in a pending state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/write
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    InviteIdParam:
      in: path
      name: invite_id
      required: true
      schema:
        type: integer
        example: 17
      description: |
        Invite ID, as returned by a previous call
  responses:
    OKEmpty:
      description: Request completed successfully
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````